hosc-0.15: Haskell Open Sound Control

Safe Haskell | Safe
Language | Haskell98

Sound.OSC.Wait

Contents

- Timeout
- Wait

Description

Waiting (for replies).

Synopsis

- timeout_r :: Double -> IO a -> IO (Maybe a)
- untilPredicate :: Monad m => (a -> Bool) -> m a -> m a
- untilMaybe :: Monad m => (a -> Maybe b) -> m a -> m b

# Timeout

timeout_r :: Double -> IO a -> IO (Maybe a) Source #

Real valued variant of `timeout`.

# Wait

untilPredicate :: Monad m => (a -> Bool) -> m a -> m a Source #

Repeat action until predicate f is `True` when applied to result.

untilMaybe :: Monad m => (a -> Maybe b) -> m a -> m b Source #

Repeat action until f does not give `Nothing` when applied to result.